input,
textarea {
    font-family: 'SF-Pro-Text-Regular', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.ibr {
    border-radius: 15px;
    background-color: var(--light-background) !important;
}

.input {
    border: 1px solid #787878;
    height: 20px;
    padding: 10px;
    width: calc(100% - 20px);
}

.input:focus {
    outline: none;
    border: 2px solid var(--primary-color);
}

.fli {
    transition: all 0.3s;
    height: 40px;
    width: calc(100% - 20px);
    border: 1px solid #787878;
    padding: 10px;
    font-size: 16px;
    letter-spacing: 1px;
}

/*
    fli = floating label input
    p = padding
*/
.fli-mw-p10 {
    width: calc(100% - 20px);
}

.date-input {
    height: 40px;
    border: 1px solid #787878;
    padding: 10px;
    padding-bottom: 10px;
    font-size: 16px;
    letter-spacing: 1px;
    display: inline
}

.password-input {
    letter-spacing: 3px;
}

.ibr-bottom {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.ibr-top {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.fli-form {
    position: relative;
}

.fli-fieldset {
    padding: 0;
    margin: 0;
    border: none;
    margin-bottom: 20px;
}

.fli-l {
    margin-left: 10px;
    position: absolute;
    top: 10px;
    transition: all 0.3s;
    font-size: 16px;
    color: var(--gray);
    pointer-events: none;
    margin-top: 9px;
}

@media (prefers-color-scheme: dark) {
    input {
        background-color: #202020;
        color: #fff;
    }

    .fli-l {
        color: #fff;
    }
}

.fli:focus+.fli-l,
.fli:not(:placeholder-shown)+.fli-l {
    top: -5px;
    font-size: 12px;
}

.fli:focus {
    border: 2px solid var(--primary-color);
    outline: none;
}

.fli-submit-button {
    position: absolute;
    right: 10px;
    border-radius: 100%;
    top: 16px;
    height: 30px;
    width: 30px;
    border: 1px solid var(--gray);
    background-color: var(--light);
    display: flex;
    justify-content: center;
    align-items: center;
}